; getsetfs.nas
;
; You should use NASM 0.97 (or NASM 0.98 + fixu32) for OS/2
; nasm -f obj getsetfs.nas
;
; imported from src/odincrt/odincrt.asm
;

	BITS 32

%define SEG_TEXT	segment TEXT32 flat class=CODE align=16 use32

	SEG_TEXT

	global GetFS
	global SetFS
	global SetReturnFS
	global RestoreOS2FS

	align 16

GetFS:
	mov	eax,fs
	ret

	align 16

SetFS:
	mov	eax,[esp + 4]
	mov	fs,eax
	ret

	align 16

SetReturnFS:
	push	fs
	mov	eax,[esp + 8]
	mov	fs,eax
	pop	eax
	ret

	align 16

RestoreOS2FS:
	push	dword 0x0000150b
	mov	ax,fs
	pop	fs
	ret

