/*
	NSG32.H
*/

#ifndef gdi32_nscripter_h__
#define gdi32_nscripter_h__

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#if defined(__WATCOMC__)
#define MYEXPORT	
#define MY_EXPORT
#pragma aux _myexp_watcom "*" parm routine [] value struct struct caller [] modify [eax ecx edx];
#define MYIMPORT
#pragma aux _myimp_watcom "*" parm routine [] value struct struct caller [] modify [eax ecx edx];
#else
#define MYEXPORT APIENTRY
#define MY_EXPORT	__declspec(dllexport)
#define MYIMPORT __stdcall
#endif

/*

*/


#ifdef __cplusplus
extern "C" {
#endif

MY_EXPORT
BOOL  MYEXPORT expBitBlt(HDC, int, int, int, int, HDC, int, int, DWORD);

MY_EXPORT
HDC  MYEXPORT expCreateCompatibleDC(HDC);

MY_EXPORT
HBITMAP  MYEXPORT expCreateDIBSection(HDC, CONST BITMAPINFO *, UINT, VOID **, HANDLE, DWORD);

MY_EXPORT
HFONT  MYEXPORT expCreateFontA(int, int, int, int, int, DWORD, DWORD, DWORD, DWORD, DWORD, DWORD, DWORD, DWORD, LPCSTR);

MY_EXPORT
HBRUSH  MYEXPORT expCreateSolidBrush(COLORREF);

MY_EXPORT
BOOL  MYEXPORT expDeleteDC(HDC);

MY_EXPORT
BOOL  MYEXPORT expDeleteObject(HGDIOBJ);

MY_EXPORT
int  MYEXPORT expEnumFontFamiliesExA(HDC, LPLOGFONTA, FONTENUMPROCA, LPARAM,DWORD);

MY_EXPORT
int  MYEXPORT expGetDeviceCaps(HDC, int);

MY_EXPORT
HGDIOBJ  MYEXPORT expGetStockObject(int);

MY_EXPORT
HGDIOBJ  MYEXPORT expSelectObject(HDC, HGDIOBJ);

MY_EXPORT
COLORREF  MYEXPORT expSetBkColor(HDC, COLORREF);

MY_EXPORT
int  MYEXPORT expSetBkMode(HDC, int);

MY_EXPORT
COLORREF  MYEXPORT expSetTextColor(HDC, COLORREF);

MY_EXPORT
BOOL  MYEXPORT expStretchBlt(HDC, int, int, int, int, HDC, int, int, int, int, DWORD);

MY_EXPORT
BOOL  MYEXPORT expTextOutA(HDC, int, int, LPCSTR, int);


#ifdef __cplusplus
}
#endif

#if defined(__WATCOMC__)
#pragma aux (_myexp_watcom) expBitBlt
#pragma aux (_myexp_watcom) expCreateCompatibleDC
#pragma aux (_myexp_watcom) expCreateDIBSection
#pragma aux (_myexp_watcom) expCreateFontA
#pragma aux (_myexp_watcom) expCreateSolidBrush
#pragma aux (_myexp_watcom) expDeleteDC
#pragma aux (_myexp_watcom) expDeleteObject
#pragma aux (_myexp_watcom) expEnumFontFamiliesExA
#pragma aux (_myexp_watcom) expGetDeviceCaps
#pragma aux (_myexp_watcom) expGetStockObject
#pragma aux (_myexp_watcom) expSelectObject
#pragma aux (_myexp_watcom) expSetBkColor
#pragma aux (_myexp_watcom) expSetBkMode
#pragma aux (_myexp_watcom) expSetTextColor
#pragma aux (_myexp_watcom) expStretchBlt
#pragma aux (_myexp_watcom) expTextOutA
#endif

#endif
