/*
	svwrap/w32user.h

*/

#ifndef svwrap_w32user_h__
#define svwrap_w32user_h__

#if !defined(svwrap_w32def_h__)
#include "w32def.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef w32_LRESULT  (w32_API *w32_LPFNWINDOWPROC)(w32_HWND, w32_UINT, w32_WPARAM, w32_LPARAM);


BOOL w32_API  w32_IsWindow(w32_HWND);

int w32_API  w32_MessageBoxA(w32_HWND, w32_LPSTR, w32_LPSTR, UINT);
#define MessageBox(hwnd, s, t, flag)	w32_MessageBoxA(hwnd, s, t, flag)

w32_LRESULT w32_API  w32_SendMessageA(w32_HWND, UINT, w32_WPARAM, w32_LPARAM);
BOOL w32_API  w32_PostMessageA(w32_HWND, UINT, w32_WPARAM, w32_LPARAM);
#define w32_SendMessage		w32_SendMessageA
#define w32_PostMessage		w32_PostMessageA

#if defined(__WATCOMC__)

#pragma aux (_stdcall_wc) w32_IsWindow;
#pragma aux (_stdcall_wc) w32_MessageBoxA;
#pragma aux (_stdcall_wc) w32_SendMessageA;
#pragma aux (_stdcall_wc) w32_PostMessageA;

#endif

#pragma pack()

#ifdef __cplusplus
}
#endif

#endif /* svwrap_w32user_h__ */
